<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlatZaAnalitiku: alatZaAnalitiku/src/tcontainer.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">AlatZaAnalitiku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_32374e165223414b7d047617c9a74980.html">alatZaAnalitiku</a></li><li class="navelem"><a class="el" href="dir_a7d251295564edc7fd08ff39724eea9b.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">tcontainer.h</div></div>
</div><!--header-->
<div class="contents">
<a href="tcontainer_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#ifndef TCONTAINER_H</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#define TCONTAINER_H</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span> </div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="preprocessor">#include &lt;QWidget&gt;</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="preprocessor">#include &lt;QMouseEvent&gt;</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="preprocessor">#include &lt;QtGui&gt;</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="preprocessor">#include &lt;QVBoxLayout&gt;</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="preprocessor">#include &lt;QMenu&gt;</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span> </div>
<div class="foldopen" id="foldopen00010" data-start="{" data-end="};">
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="tcontainer_8h.html#a811fe196a5d9d37857c2f8adeeaac3c6">   10</a></span><span class="keyword">enum</span> <a class="code hl_enumeration" href="tcontainer_8h.html#a811fe196a5d9d37857c2f8adeeaac3c6">modes</a>{</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="tcontainer_8h.html#a811fe196a5d9d37857c2f8adeeaac3c6ac157bdf0b85a40d2619cbc8bc1ae5fe2">   11</a></span>    <a class="code hl_enumvalue" href="tcontainer_8h.html#a811fe196a5d9d37857c2f8adeeaac3c6ac157bdf0b85a40d2619cbc8bc1ae5fe2">NONE</a> = 0,</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="tcontainer_8h.html#a811fe196a5d9d37857c2f8adeeaac3c6aed3ef32890b6da0919b57254c5206c62">   12</a></span>    <a class="code hl_enumvalue" href="tcontainer_8h.html#a811fe196a5d9d37857c2f8adeeaac3c6aed3ef32890b6da0919b57254c5206c62">MOVE</a> = 1,</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="tcontainer_8h.html#a811fe196a5d9d37857c2f8adeeaac3c6a169f665817b48771b35ae0c33b2bf267">   13</a></span>    <a class="code hl_enumvalue" href="tcontainer_8h.html#a811fe196a5d9d37857c2f8adeeaac3c6a169f665817b48771b35ae0c33b2bf267">RESIZETL</a> = 2,</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="tcontainer_8h.html#a811fe196a5d9d37857c2f8adeeaac3c6a7e23a1c0a06a6795a02630982c7461eb">   14</a></span>    <a class="code hl_enumvalue" href="tcontainer_8h.html#a811fe196a5d9d37857c2f8adeeaac3c6a7e23a1c0a06a6795a02630982c7461eb">RESIZET</a> = 3,</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="tcontainer_8h.html#a811fe196a5d9d37857c2f8adeeaac3c6a6ccc4d1b21eea816d64b3e76b3c0db88">   15</a></span>    <a class="code hl_enumvalue" href="tcontainer_8h.html#a811fe196a5d9d37857c2f8adeeaac3c6a6ccc4d1b21eea816d64b3e76b3c0db88">RESIZETR</a> = 4,</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="tcontainer_8h.html#a811fe196a5d9d37857c2f8adeeaac3c6a1f99fda05cdf37f1410d5e865c268911">   16</a></span>    <a class="code hl_enumvalue" href="tcontainer_8h.html#a811fe196a5d9d37857c2f8adeeaac3c6a1f99fda05cdf37f1410d5e865c268911">RESIZER</a> = 5,</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="tcontainer_8h.html#a811fe196a5d9d37857c2f8adeeaac3c6a9fc090dbc09a4e99cfd5a22fb4d57cb6">   17</a></span>    <a class="code hl_enumvalue" href="tcontainer_8h.html#a811fe196a5d9d37857c2f8adeeaac3c6a9fc090dbc09a4e99cfd5a22fb4d57cb6">RESIZEBR</a> = 6,</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="tcontainer_8h.html#a811fe196a5d9d37857c2f8adeeaac3c6a88d93ed41b6479aaa2a95feb4fc99166">   18</a></span>    <a class="code hl_enumvalue" href="tcontainer_8h.html#a811fe196a5d9d37857c2f8adeeaac3c6a88d93ed41b6479aaa2a95feb4fc99166">RESIZEB</a> = 7,</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="tcontainer_8h.html#a811fe196a5d9d37857c2f8adeeaac3c6a6173c687438d0e7db6d77adc581e7839">   19</a></span>    <a class="code hl_enumvalue" href="tcontainer_8h.html#a811fe196a5d9d37857c2f8adeeaac3c6a6173c687438d0e7db6d77adc581e7839">RESIZEBL</a> = 8,</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    <a class="code hl_enumvalue" href="tcontainer_8h.html#a811fe196a5d9d37857c2f8adeeaac3c6a5ce7e2819ac1576281f72d95150395da">RESIZEL</a> = 9</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="tcontainer_8h.html#a811fe196a5d9d37857c2f8adeeaac3c6a5ce7e2819ac1576281f72d95150395da">   21</a></span>};</div>
</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span> </div>
<div class="foldopen" id="foldopen00023" data-start="{" data-end="};">
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="class_t_container.html">   23</a></span><span class="keyword">class </span><a class="code hl_class" href="class_t_container.html">TContainer</a> : <span class="keyword">public</span> QWidget {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    Q_OBJECT</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span><span class="keyword">public</span>:</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    <a class="code hl_function" href="class_t_container.html#a3dec4ff05dc9fa2ce45bac155768195a">TContainer</a>(QWidget *parent, QPoint p, QWidget *cWidget = 0, QLayout *<a class="code hl_variable" href="class_t_container.html#a6ca3e2709b4130b8a299372a1ad50cc6">l</a> = <span class="keyword">nullptr</span>);</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    <a class="code hl_function" href="class_t_container.html#a73ed9bb9857cfde5a758edfa08dbfeb7">~TContainer</a>();</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="class_t_container.html#a47db35c038b54b6f1a0d20a66984acc4">   29</a></span>    QWidget *<a class="code hl_variable" href="class_t_container.html#a47db35c038b54b6f1a0d20a66984acc4">childWidget</a>;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="class_t_container.html#aee5e6ca8a4315dabde8f2c759f9e1cb9">   30</a></span>    QMenu *<a class="code hl_variable" href="class_t_container.html#aee5e6ca8a4315dabde8f2c759f9e1cb9">menu</a>;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="class_t_container.html#a6200418012e16d3b54a49b1559e41eb2">   31</a></span>    QPoint <a class="code hl_variable" href="class_t_container.html#a6200418012e16d3b54a49b1559e41eb2">position</a>;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_t_container.html#ad59f9a6ebe52d55d9e06ced5778de9bd">setChildWidget</a>(QWidget *cWidget);</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span><span class="keyword">protected</span>:</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="class_t_container.html#a7a844194c504b1284815baabb1d4db6f">   35</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="class_t_container.html#a7a844194c504b1284815baabb1d4db6f">mode</a>;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="class_t_container.html#a6ca3e2709b4130b8a299372a1ad50cc6">   36</a></span>    QLayout* <a class="code hl_variable" href="class_t_container.html#a6ca3e2709b4130b8a299372a1ad50cc6">l</a>;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_t_container.html#ad1a9ed8353fc1e75c74364dee4c0c8db">setCursorShape</a>(<span class="keyword">const</span> QPoint &amp;e_pos);</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_t_container.html#a2ac97f5aa2613fc7b0da5cf07d301a4c">focusInEvent</a>(QFocusEvent*);</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_t_container.html#a0168ff57cd7ab9d3125a1db0309db35e">focusOutEvent</a>(QFocusEvent*);</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_t_container.html#a363bbe865f845962eb2064033233981a">mousePressEvent</a>(QMouseEvent*);</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_t_container.html#a98b6490df0c3f02102f095356e4bf029">mouseReleaseEvent</a>(QMouseEvent*);</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_t_container.html#ad3d19d63191a68bfb9fedaed7d27514d">mouseMoveEvent</a>(QMouseEvent *);</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="class_t_container.html#a53292ce420dfa371ec2bd7d2f4b1a70e">   43</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="class_t_container.html#a53292ce420dfa371ec2bd7d2f4b1a70e">m_infocus</a>;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="class_t_container.html#aef805cb09018660db86662d75074e924">   44</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="class_t_container.html#aef805cb09018660db86662d75074e924">m_showMenu</a>;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="class_t_container.html#a92e0705a71484bef731751c82850f4b8">   45</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="class_t_container.html#a92e0705a71484bef731751c82850f4b8">m_isEditing</a>;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="class_t_container.html#af3ae6c9b388309dad4ca0b327a339fa6">   46</a></span>    QWidget *<a class="code hl_function" href="class_t_container.html#af3ae6c9b388309dad4ca0b327a339fa6">clone</a>();</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span> </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>signals:</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="class_t_container.html#a1870d8ffa14ddd479723760f6eaaa474">   49</a></span>    <span class="keywordtype">void</span> <a class="code hl_signal" href="class_t_container.html#a1870d8ffa14ddd479723760f6eaaa474">inFocus</a>(<span class="keywordtype">bool</span> <a class="code hl_variable" href="class_t_container.html#a7a844194c504b1284815baabb1d4db6f">mode</a>);</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="class_t_container.html#aafbb0a20f7164c617bd6f575309a0890">   50</a></span>    <span class="keywordtype">void</span> <a class="code hl_signal" href="class_t_container.html#aafbb0a20f7164c617bd6f575309a0890">outFocus</a>(<span class="keywordtype">bool</span> <a class="code hl_variable" href="class_t_container.html#a7a844194c504b1284815baabb1d4db6f">mode</a>);</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="class_t_container.html#ad599804c865672b7d376517ea8abd5c6">   51</a></span>    <span class="keywordtype">void</span> <a class="code hl_signal" href="class_t_container.html#ad599804c865672b7d376517ea8abd5c6">newGeometry</a>(QRect rect);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>};</div>
</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span> </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span><span class="preprocessor">#endif </span><span class="comment">// TCONTAINER_H</span></div>
<div class="ttc" id="aclass_t_container_html"><div class="ttname"><a href="class_t_container.html">TContainer</a></div><div class="ttdef"><b>Definition</b> tcontainer.h:23</div></div>
<div class="ttc" id="aclass_t_container_html_a0168ff57cd7ab9d3125a1db0309db35e"><div class="ttname"><a href="class_t_container.html#a0168ff57cd7ab9d3125a1db0309db35e">TContainer::focusOutEvent</a></div><div class="ttdeci">void focusOutEvent(QFocusEvent *)</div><div class="ttdef"><b>Definition</b> tcontainer.cpp:54</div></div>
<div class="ttc" id="aclass_t_container_html_a1870d8ffa14ddd479723760f6eaaa474"><div class="ttname"><a href="class_t_container.html#a1870d8ffa14ddd479723760f6eaaa474">TContainer::inFocus</a></div><div class="ttdeci">void inFocus(bool mode)</div></div>
<div class="ttc" id="aclass_t_container_html_a2ac97f5aa2613fc7b0da5cf07d301a4c"><div class="ttname"><a href="class_t_container.html#a2ac97f5aa2613fc7b0da5cf07d301a4c">TContainer::focusInEvent</a></div><div class="ttdeci">void focusInEvent(QFocusEvent *)</div><div class="ttdef"><b>Definition</b> tcontainer.cpp:47</div></div>
<div class="ttc" id="aclass_t_container_html_a363bbe865f845962eb2064033233981a"><div class="ttname"><a href="class_t_container.html#a363bbe865f845962eb2064033233981a">TContainer::mousePressEvent</a></div><div class="ttdeci">void mousePressEvent(QMouseEvent *)</div><div class="ttdef"><b>Definition</b> tcontainer.cpp:62</div></div>
<div class="ttc" id="aclass_t_container_html_a3dec4ff05dc9fa2ce45bac155768195a"><div class="ttname"><a href="class_t_container.html#a3dec4ff05dc9fa2ce45bac155768195a">TContainer::TContainer</a></div><div class="ttdeci">TContainer(QWidget *parent, QPoint p, QWidget *cWidget=0, QLayout *l=nullptr)</div><div class="ttdef"><b>Definition</b> tcontainer.cpp:6</div></div>
<div class="ttc" id="aclass_t_container_html_a47db35c038b54b6f1a0d20a66984acc4"><div class="ttname"><a href="class_t_container.html#a47db35c038b54b6f1a0d20a66984acc4">TContainer::childWidget</a></div><div class="ttdeci">QWidget * childWidget</div><div class="ttdef"><b>Definition</b> tcontainer.h:29</div></div>
<div class="ttc" id="aclass_t_container_html_a53292ce420dfa371ec2bd7d2f4b1a70e"><div class="ttname"><a href="class_t_container.html#a53292ce420dfa371ec2bd7d2f4b1a70e">TContainer::m_infocus</a></div><div class="ttdeci">bool m_infocus</div><div class="ttdef"><b>Definition</b> tcontainer.h:43</div></div>
<div class="ttc" id="aclass_t_container_html_a6200418012e16d3b54a49b1559e41eb2"><div class="ttname"><a href="class_t_container.html#a6200418012e16d3b54a49b1559e41eb2">TContainer::position</a></div><div class="ttdeci">QPoint position</div><div class="ttdef"><b>Definition</b> tcontainer.h:31</div></div>
<div class="ttc" id="aclass_t_container_html_a6ca3e2709b4130b8a299372a1ad50cc6"><div class="ttname"><a href="class_t_container.html#a6ca3e2709b4130b8a299372a1ad50cc6">TContainer::l</a></div><div class="ttdeci">QLayout * l</div><div class="ttdef"><b>Definition</b> tcontainer.h:36</div></div>
<div class="ttc" id="aclass_t_container_html_a73ed9bb9857cfde5a758edfa08dbfeb7"><div class="ttname"><a href="class_t_container.html#a73ed9bb9857cfde5a758edfa08dbfeb7">TContainer::~TContainer</a></div><div class="ttdeci">~TContainer()</div><div class="ttdef"><b>Definition</b> tcontainer.cpp:35</div></div>
<div class="ttc" id="aclass_t_container_html_a7a844194c504b1284815baabb1d4db6f"><div class="ttname"><a href="class_t_container.html#a7a844194c504b1284815baabb1d4db6f">TContainer::mode</a></div><div class="ttdeci">int mode</div><div class="ttdef"><b>Definition</b> tcontainer.h:35</div></div>
<div class="ttc" id="aclass_t_container_html_a92e0705a71484bef731751c82850f4b8"><div class="ttname"><a href="class_t_container.html#a92e0705a71484bef731751c82850f4b8">TContainer::m_isEditing</a></div><div class="ttdeci">bool m_isEditing</div><div class="ttdef"><b>Definition</b> tcontainer.h:45</div></div>
<div class="ttc" id="aclass_t_container_html_a98b6490df0c3f02102f095356e4bf029"><div class="ttname"><a href="class_t_container.html#a98b6490df0c3f02102f095356e4bf029">TContainer::mouseReleaseEvent</a></div><div class="ttdeci">void mouseReleaseEvent(QMouseEvent *)</div><div class="ttdef"><b>Definition</b> tcontainer.cpp:148</div></div>
<div class="ttc" id="aclass_t_container_html_aafbb0a20f7164c617bd6f575309a0890"><div class="ttname"><a href="class_t_container.html#aafbb0a20f7164c617bd6f575309a0890">TContainer::outFocus</a></div><div class="ttdeci">void outFocus(bool mode)</div></div>
<div class="ttc" id="aclass_t_container_html_ad1a9ed8353fc1e75c74364dee4c0c8db"><div class="ttname"><a href="class_t_container.html#ad1a9ed8353fc1e75c74364dee4c0c8db">TContainer::setCursorShape</a></div><div class="ttdeci">void setCursorShape(const QPoint &amp;e_pos)</div><div class="ttdef"><b>Definition</b> tcontainer.cpp:73</div></div>
<div class="ttc" id="aclass_t_container_html_ad3d19d63191a68bfb9fedaed7d27514d"><div class="ttname"><a href="class_t_container.html#ad3d19d63191a68bfb9fedaed7d27514d">TContainer::mouseMoveEvent</a></div><div class="ttdeci">void mouseMoveEvent(QMouseEvent *)</div><div class="ttdef"><b>Definition</b> tcontainer.cpp:152</div></div>
<div class="ttc" id="aclass_t_container_html_ad599804c865672b7d376517ea8abd5c6"><div class="ttname"><a href="class_t_container.html#ad599804c865672b7d376517ea8abd5c6">TContainer::newGeometry</a></div><div class="ttdeci">void newGeometry(QRect rect)</div></div>
<div class="ttc" id="aclass_t_container_html_ad59f9a6ebe52d55d9e06ced5778de9bd"><div class="ttname"><a href="class_t_container.html#ad59f9a6ebe52d55d9e06ced5778de9bd">TContainer::setChildWidget</a></div><div class="ttdeci">void setChildWidget(QWidget *cWidget)</div><div class="ttdef"><b>Definition</b> tcontainer.cpp:40</div></div>
<div class="ttc" id="aclass_t_container_html_aee5e6ca8a4315dabde8f2c759f9e1cb9"><div class="ttname"><a href="class_t_container.html#aee5e6ca8a4315dabde8f2c759f9e1cb9">TContainer::menu</a></div><div class="ttdeci">QMenu * menu</div><div class="ttdef"><b>Definition</b> tcontainer.h:30</div></div>
<div class="ttc" id="aclass_t_container_html_aef805cb09018660db86662d75074e924"><div class="ttname"><a href="class_t_container.html#aef805cb09018660db86662d75074e924">TContainer::m_showMenu</a></div><div class="ttdeci">bool m_showMenu</div><div class="ttdef"><b>Definition</b> tcontainer.h:44</div></div>
<div class="ttc" id="aclass_t_container_html_af3ae6c9b388309dad4ca0b327a339fa6"><div class="ttname"><a href="class_t_container.html#af3ae6c9b388309dad4ca0b327a339fa6">TContainer::clone</a></div><div class="ttdeci">QWidget * clone()</div></div>
<div class="ttc" id="atcontainer_8h_html_a811fe196a5d9d37857c2f8adeeaac3c6"><div class="ttname"><a href="tcontainer_8h.html#a811fe196a5d9d37857c2f8adeeaac3c6">modes</a></div><div class="ttdeci">modes</div><div class="ttdef"><b>Definition</b> tcontainer.h:10</div></div>
<div class="ttc" id="atcontainer_8h_html_a811fe196a5d9d37857c2f8adeeaac3c6a169f665817b48771b35ae0c33b2bf267"><div class="ttname"><a href="tcontainer_8h.html#a811fe196a5d9d37857c2f8adeeaac3c6a169f665817b48771b35ae0c33b2bf267">RESIZETL</a></div><div class="ttdeci">@ RESIZETL</div><div class="ttdef"><b>Definition</b> tcontainer.h:13</div></div>
<div class="ttc" id="atcontainer_8h_html_a811fe196a5d9d37857c2f8adeeaac3c6a1f99fda05cdf37f1410d5e865c268911"><div class="ttname"><a href="tcontainer_8h.html#a811fe196a5d9d37857c2f8adeeaac3c6a1f99fda05cdf37f1410d5e865c268911">RESIZER</a></div><div class="ttdeci">@ RESIZER</div><div class="ttdef"><b>Definition</b> tcontainer.h:16</div></div>
<div class="ttc" id="atcontainer_8h_html_a811fe196a5d9d37857c2f8adeeaac3c6a5ce7e2819ac1576281f72d95150395da"><div class="ttname"><a href="tcontainer_8h.html#a811fe196a5d9d37857c2f8adeeaac3c6a5ce7e2819ac1576281f72d95150395da">RESIZEL</a></div><div class="ttdeci">@ RESIZEL</div><div class="ttdef"><b>Definition</b> tcontainer.h:20</div></div>
<div class="ttc" id="atcontainer_8h_html_a811fe196a5d9d37857c2f8adeeaac3c6a6173c687438d0e7db6d77adc581e7839"><div class="ttname"><a href="tcontainer_8h.html#a811fe196a5d9d37857c2f8adeeaac3c6a6173c687438d0e7db6d77adc581e7839">RESIZEBL</a></div><div class="ttdeci">@ RESIZEBL</div><div class="ttdef"><b>Definition</b> tcontainer.h:19</div></div>
<div class="ttc" id="atcontainer_8h_html_a811fe196a5d9d37857c2f8adeeaac3c6a6ccc4d1b21eea816d64b3e76b3c0db88"><div class="ttname"><a href="tcontainer_8h.html#a811fe196a5d9d37857c2f8adeeaac3c6a6ccc4d1b21eea816d64b3e76b3c0db88">RESIZETR</a></div><div class="ttdeci">@ RESIZETR</div><div class="ttdef"><b>Definition</b> tcontainer.h:15</div></div>
<div class="ttc" id="atcontainer_8h_html_a811fe196a5d9d37857c2f8adeeaac3c6a7e23a1c0a06a6795a02630982c7461eb"><div class="ttname"><a href="tcontainer_8h.html#a811fe196a5d9d37857c2f8adeeaac3c6a7e23a1c0a06a6795a02630982c7461eb">RESIZET</a></div><div class="ttdeci">@ RESIZET</div><div class="ttdef"><b>Definition</b> tcontainer.h:14</div></div>
<div class="ttc" id="atcontainer_8h_html_a811fe196a5d9d37857c2f8adeeaac3c6a88d93ed41b6479aaa2a95feb4fc99166"><div class="ttname"><a href="tcontainer_8h.html#a811fe196a5d9d37857c2f8adeeaac3c6a88d93ed41b6479aaa2a95feb4fc99166">RESIZEB</a></div><div class="ttdeci">@ RESIZEB</div><div class="ttdef"><b>Definition</b> tcontainer.h:18</div></div>
<div class="ttc" id="atcontainer_8h_html_a811fe196a5d9d37857c2f8adeeaac3c6a9fc090dbc09a4e99cfd5a22fb4d57cb6"><div class="ttname"><a href="tcontainer_8h.html#a811fe196a5d9d37857c2f8adeeaac3c6a9fc090dbc09a4e99cfd5a22fb4d57cb6">RESIZEBR</a></div><div class="ttdeci">@ RESIZEBR</div><div class="ttdef"><b>Definition</b> tcontainer.h:17</div></div>
<div class="ttc" id="atcontainer_8h_html_a811fe196a5d9d37857c2f8adeeaac3c6ac157bdf0b85a40d2619cbc8bc1ae5fe2"><div class="ttname"><a href="tcontainer_8h.html#a811fe196a5d9d37857c2f8adeeaac3c6ac157bdf0b85a40d2619cbc8bc1ae5fe2">NONE</a></div><div class="ttdeci">@ NONE</div><div class="ttdef"><b>Definition</b> tcontainer.h:11</div></div>
<div class="ttc" id="atcontainer_8h_html_a811fe196a5d9d37857c2f8adeeaac3c6aed3ef32890b6da0919b57254c5206c62"><div class="ttname"><a href="tcontainer_8h.html#a811fe196a5d9d37857c2f8adeeaac3c6aed3ef32890b6da0919b57254c5206c62">MOVE</a></div><div class="ttdeci">@ MOVE</div><div class="ttdef"><b>Definition</b> tcontainer.h:12</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0
</small></address>
</body>
</html>
